
QGIS Application - Bug report #7690

WMTS client : selector for WMTS dimensions - only odd lines are displayed - crash if confirm

2013-04-24 01:48 AM - Yves Blatti

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16605

Description

In QGIS trunk (3bd21bc):

If I try to add a WMTS service with multiple dimensions, only odd lines are displayed with content (see screenshot).

qgis_wmts_dim_select.png

If I press OK, QGIS crashes.

Extract of GetCapabilities (with dimensions)

(Service provided by Mapserver Mapcache)

[...]

<Contents>

    <Layer>

      <ows:Title>Fond de plan test WMTS</ows:Title>

      <ows:Abstract>Service abstract</ows:Abstract>

      <ows:Identifier>mylayer</ows:Identifier>

      <Style isDefault="true">

        <ows:Identifier>default</ows:Identifier>

      </Style>

      <Format>image/png</Format>

      <Dimension>

        <ows:Identifier>DIM1</ows:Identifier>

        <Default>defaultDim1</Default>

        <Value>defaultDim1</Value>

        <Value>valueDim1-1</Value>

        <Value>valueDim1-2</Value>

      </Dimension>

      <Dimension>

        <ows:Identifier>DIM2</ows:Identifier>

        <Default>defaultDim2</Default>

        <Value>defaultDim2</Value>

        <Value>valueDim2-1</Value>

        <Value>valueDim2-2</Value>

      </Dimension>

      <Dimension>

        <ows:Identifier>DIM3</ows:Identifier>

        <Default>defaultDim3</Default>

        <Value>defaultDim3</Value>

        <Value>valueDim3-1</Value>
        <Value>valueDim3-2</Value>

      </Dimension>

      <Dimension>

        <ows:Identifier>DIM4</ows:Identifier>

        <Default>defaultDim4</Default>

        <Value>defaultDim4</Value>

        <Value>valueDim1-1</Value>

        <Value>valueDim1-2</Value>

      </Dimension>

      <Dimension>

        <ows:Identifier>ELEVATION</ows:Identifier>

        <Default>0</Default>

        <Value>0</Value>

      </Dimension>

      <ResourceURL format="image/png" resourceType="tile" template="

http://myserver.ch/wmts/1.0.0/mylayer/default/{DIM1}/{ELEVATION}/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png"/>

      <TileMatrixSetLink>

        <TileMatrixSet>21781</TileMatrixSet>

      </TileMatrixSetLink>

    </Layer>

[...]

Note: On a layer with only one dimension: no problemo...

Tested version: QGOS-dev (3bd21bc) from OSGeo4W

Tested on OS: Windows XP Pro SP3 32 and Windows 7 Pro 64

Associated revisions

Revision 17613e81 - 2013-04-24 11:06 AM - Jürgen Fischer

fix #7690

History

#1 - 2013-04-24 01:56 AM - Jürgen Fischer

do you have a public server to test?

#2 - 2013-04-24 02:06 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"17613e81c58127bfc74a40c1065a90443a83dfe4".

#3 - 2013-04-24 02:13 AM - Yves Blatti

Not yet, but I can make something up for testing... (I just need a little time ;-) )
#4 - 2013-04-24 02:17 AM - Jürgen Fischer

Yves Blatti wrote:

Not yet, but I can make something up for testing... (I just need a little time ;-) )

Little time I have ;)

#5 - 2013-04-24 05:29 AM - Yves Blatti

Here you go: http://193.34.136.206/mapcache/wmts?service=wmts&#38;request=getcapabilities&#38;version=1.0.0

This service has two dimensions...

(demo: here)

Tiles aren't pregenerated, and distant WMS is busy, so.. it'll be slow, but will expose the problem in QGIS.

Thanks for your time!

#6 - 2013-04-24 07:06 AM - Jürgen Fischer

Yves Blatti wrote:

Here you go: http://193.34.136.206/mapcache/wmts?service=wmts&#38;request=getcapabilities&#38;version=1.0.0

This service has two dimensions...

ok, second issue also solved.

#7 - 2013-04-25 01:14 AM - Yves Blatti

Quick and efficient, works perfectly!

Thanks!
